@import "mixins";
@import "variables";

body {
    background-color: $color--body;
    margin: 0;
}

.image {
    
    &--pokeball {
        height: 70px;
    }

    &--dark {
        filter: brightness(10%);
    
        &:hover {
            filter: brightness(100%);
            cursor: pointer;
        }
    }
}

/* ======== Start Header =========*/

.header {
    background: linear-gradient(to right,$color--primary, $color--secondary);
    min-height: 90px;
    &__title {
        color: $color--smoke;
        font: 29px $font-primary;
        letter-spacing: -3px;
        padding: 12px 20px 20px 5px;
    }

    &--border-top-radius {
        max-height: 85px;
    }

    &--flex {
        display: flex;
    }
}

.figure {
  max-width: 25px;
}

/* ======== End Header =========*/

/* ======== Start Main =========*/
 .main {
    min-height: 460px;
    background: linear-gradient(to right, $color--purple, $color--purple-variant);

    &--grid {
        @include usegrid(grid,30%, 30%,space-evenly);
    }

    &__pokemon-card {
        margin: 20px 0px 0px 10px;
    }

    &__card-title {
        @include usegrid(grid,15%, 55%, center);
        background-color: $color--smoke;
        gap: 0em;
        border-radius: 20px;
        max-height: 80px;
        align-content: center;
    }

    &__card-image {
        margin: 20px 0px 0px 10px;
    }

    &__title-pokemon {
        font: bold 30px $font-primary;
        text-align: center;
        padding-top: 1px;
    }

    &__image {
        
        &-pokemon {
            width: 100%;
            height: 300px;
            transition: transform 0.9s;

            &:hover {
                @include image-transform;
            }
    
        }

        &-flame {
            width: 50px;
        }

    }
 }

 .section {

    &__habilities {
        max-height: 80px;

      p,h4 {
        font: 24px $font-secondary;
        text-align: center;
        margin: 0;
      }

    }

    &__pokemon-average {
        @include usegrid(grid,1fr,1fr);
        grid-template-rows: 100px 100px 100px;
        background-color: $color--smoke;
        border-radius: 20px;
        margin: 15px;
        align-content: center;
    }
    
    &__pokemon-average div {
        padding: 30px;
    }

 }

/* ======== End Main =========*/

/* ======== Start Footer =========*/
.footer {
    min-height: 100%;
    padding: 2.1rem;
    background-color: $color--yellow-light;

    &__item {
        text-transform: uppercase;
        text-align: center;
        font: 24px $font-primary;
    }

    &__card {
        background-color: $color--gray;
        border-radius: 20px;
        width: 100px;
        transition: transform 0.9s;

        @each $key, $value in $colors {
            &#{'--'+ $key}:hover {
                background-color: $value;
            }
        }
        
        &:hover {
            @include image-transform;
        }
    }

    &--grid {
        display: grid;
        grid-template-columns: 22% 16% 16% 16% 16%;
        justify-content: center;
    }

    &__image {
        height: 100px;
    }
 }

/* ======== End Footer =========*/

@media only screen and (min-width: 901px) and (max-width: 1200px) {
    
    .section {
        &__pokemon-average {
            @include section-pokemon-average(60px, 15px, center, 2em, 280px, 16px ,19px);
        }
    }

    .footer {
        @include footer-pokemon(6px, 100px);
    }
 }

@media only screen and (min-width: 800px) and (max-width: 901px) {
    
    .section__pokemon-average {
     @include section-pokemon-average(60px, 15px, center, 2em, 250px, 15px ,18px);
    }
    
    .footer {
        @include footer-pokemon(5px, 100px);
    }

}
@media only screen and (min-width: 701px) and (max-width: 800px) {
    
    .section__pokemon-average {
     @include section-pokemon-average(50px, 15px, center, 2em, 240px, 15px ,18px);
    }

    .footer {
        @include footer-pokemon(3px, 80px);
    }
 }

@media only screen and (min-width: 601px) and (max-width: 700px) {

    .section__pokemon-average {
     @include section-pokemon-average(50px, 15px, center, 2em, 220px, 16px ,17px);
    }

    .footer {
        @include footer-pokemon(3px, 90px);
    }
}

@media only screen and (min-width: 550px) and (max-width: 600px) {
    .section__pokemon-average {
        @include pokemon-average-card(155px);
     }

 }

@media only screen and (min-width: 450px) and (max-width: 550px) {
    .section__pokemon-average {
        @include pokemon-average-card(125px);
     }

 }

@media only screen and (min-width: 421px) and (max-width: 450px) {
    .section__pokemon-average {
        @include pokemon-average-card(95px);
     }

 }

@media only screen and (min-width: 321px) and (max-width: 421px) {
    .section__pokemon-average {
        @include pokemon-average-card(75px);
     }


 }

 @media only screen and (min-width: 120px) and (max-width: 320px) { 
    .section__pokemon-average {
        @include pokemon-average-card(55px);
     }

 }

@media only screen and (min-width: 120px) and (max-width: 600px) {

    body {
        margin:0;
    }

    .image {
        &--pokeball {
         height: 3.5em;
        }

    }
    
    /* ======== Start Header Mobile =========*/
    .header {
        width: 100%;
        margin: 0;

        &--border-top-radius {
            border-radius: 0px;
        }

        &--flex {
            justify-content: center;
            align-items: center;
        }

        &__title {
            font-size: 22px;
            margin-top: 5px;
        }
     }

 /* ======== End Header Mobile =========*/

  /* ======== Start Main Mobile =========*/
     .main {
        margin:auto;
        padding-top: 10px;

        &__card-title {
            margin: auto;
             grid-template-columns: 25% 55%;
        }

        &__card-image {
            max-height: 150px;
            margin: 0;
            padding: 0;
        }

        &--grid {
            grid-template-columns: 1fr;
            gap: 1em;
        }

        &__pokemon-card {
            margin: auto;
        }

        &__title-pokemon {
            font-size: 18px;
            margin-top: 22px;
        }

        &__image {
            
            &-flame {
                width:  27px;
            }

            &-pokemon {
                position: relative;
                width: 250px;
                height: auto;
                top: 35px;
            }
        }
     }

     .section {

        &__pokemon-average {
            padding-left: 3rem;

            div {
                @include usegrid(grid, 1fr, 1fr);
                padding: 5px;
            }

            h4,p {
                font-size: 15px;
                text-align: left;
            }

        }

     }

     /* ======== End Main Mobile =========*/
     
     /* ======== Start Footer Mobile =========*/

     .footer {
        margin: 0;
        padding: 0;
        height: 100%;

        &__item {
            font-size: 19px;
            grid-column: 1/3;
            height: 5px;
        }

        &--grid {
            @include usegrid(grid, 38%, 38%,center);
            gap: 15px;
            justify-items: center;
        }
     }

    body {
        background-color: $color--yellow-light;
    }
    
     /* ======== End Footer Mobile =========*/

}

@each $size,$wflame,$wpokemon,$wcolumn,$wcolumn1,$ftitle in $main-pokemon {
    @media only screen and (min-width: $size) and (max-width: ($size + 100)) {
        
        .main {
            &__image {
                
                &-flame {
                    width: $wflame;
                }
    
                &-pokemon {
                    position: relative;
                    width: $wpokemon;
                    height: 100%;
                    top: 5px;
                }
            }
    
            &__card-title {
                margin: auto;
                grid-template-columns: $wcolumn $wcolumn1;
            }
    
            &__title-pokemon {
                font-size: $ftitle;
            }
    
            &--grid {
                @include main-alignment;
            }
    
        }
    }
}